<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="cpm.com.gskmtorange">
    <!-- To auto-complete the email text field in the login form with the user's emails -->
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" />
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" />
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" />
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" />
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" />
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.GET_ACCOUNTS" />
    <uses-permission android:name="android.permission.READ_PROFILE" />
    <uses-permission android:name="android.permission.READ_CONTACTS" />
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" />
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.CAMERA" />
    <uses-permission android:name="android.permission.REQUEST_INSTALL_PACKAGES" />

    <meta-data
        android:name="firebase_crashlytics_collection_enabled"
        android:value="false" />

    <application
        android:allowBackup="true"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:largeHeap="true"
        android:supportsRtl="true"
        android:requestLegacyExternalStorage="true"
        android:usesCleartextTraffic="true"
        android:theme="@style/AppTheme">
        <activity
            android:name=".dailyentry.NewStockDataActivity"
            android:label="@string/title_activity_new_stock_data"
            android:theme="@style/AppTheme.NoActionBar" />
        <activity
            android:name=".dailyentry.CounterfeitIndicatorWebActivity"
            android:label="@string/title_activity_counterfeit_indicator_web"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar" />
        <activity
            android:name=".dailyentry.StockPricingActivity"
            android:label="@string/title_activity_stock_pricing"
            android:theme="@style/AppTheme.NoActionBar" />
        <activity
            android:name=".pharma_stores.PharmaActivity"
            android:configChanges="screenSize|orientation|keyboardHidden"
            android:label="@string/title_activity_paharma"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar" />
        <activity
            android:name=".dailyentry.StockActivity"
            android:configChanges="screenSize|orientation|keyboardHidden"
            android:label="@string/stock"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan" />
        <activity
            android:name=".dailyentry.CounterfeitProductsActivity"
            android:configChanges="screenSize|orientation|keyboardHidden"
            android:label="@string/title_activity_counterfeit_products"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan" />
        <activity
            android:name=".password.MPinActivity"
            android:label="@string/title_activity_mpin"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar" />
        <activity
            android:name=".password.ChangePasswordActivity"
            android:configChanges="screenSize|orientation|keyboardHidden"
            android:label="@string/title_activity_change_password"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar" />
        <activity
            android:name=".SplashScreenActivity"
            android:label="@string/app_name"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name=".LoginActivity"
            android:label="@string/title_activity_login"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar" />
        <activity
            android:name=".MainActivity"
            android:label="@string/main_menu_activity_name"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar" />
        <activity
            android:name=".autoupdate.AutoUpdateActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".SelectLanguageActivity"
            android:label="@string/title_activity_select_language"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar" />
        <activity
            android:name=".download.DownloadActivity"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar" />
        <activity
            android:name=".GeoTag.GeoTagStoreList"
            android:label="@string/title_activity_store_list"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar" />
        <activity
            android:name=".dailyentry.StoreListActivity"
            android:label="@string/title_activity_store_list"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar" />
        <activity
            android:name=".dailyentry.StoreimageActivity"
            android:configChanges="screenSize|orientation|keyboardHidden"
            android:label="@string/title_activity_store_image"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar" />
        <activity
            android:name=".GeoTag.GeoTagActivity"
            android:label="@string/title_activity_store_geotag"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar" />
        <!--
        <meta-data
            android:name="com.google.android.maps.v2.API_KEY"
            android:value="AIzaSyD02po19go2JMhXJeAnKDiZSiNloPsWqzI" />
        <meta-data
            android:name="com.google.android.gms.version"
            android:value="@integer/google_play_services_version" />
        -->
        <activity
            android:name=".dailyentry.T2PComplianceActivity"
            android:configChanges="screenSize|orientation|keyboardHidden"

            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar" /> <!-- Gagan Start Declaration -->
        <activity
            android:name=".gsk_dailyentry.CategoryListActivity"
            android:configChanges="screenSize|orientation|keyboardHidden"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan" />
        <activity
            android:name=".gsk_dailyentry.CategoryWisePerformanceActivity"
            android:configChanges="screenSize|orientation|keyboardHidden"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan" />
        <activity
            android:name=".gsk_dailyentry.DailyDataMenuActivity"
            android:configChanges="screenSize|orientation|keyboardHidden"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan" />
        <activity
            android:name=".gsk_dailyentry.MSL_AvailabilityActivity"
            android:configChanges="screenSize|orientation|keyboardHidden"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan" />
        <activity
            android:name=".gsk_dailyentry.Stock_FacingActivity"
            android:configChanges="screenSize|orientation|keyboardHidden"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan" />
        <activity
            android:name=".gsk_dailyentry.PromoComplianceActivity"
            android:configChanges="screenSize|orientation|keyboardHidden"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan" />
        <activity
            android:name=".gsk_dailyentry.StoreWisePerformanceActivity"
            android:configChanges="screenSize|orientation|keyboardHidden"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan" /> <!-- Gagan End Declaration -->
        <activity
            android:name=".dailyentry.NonWorkingReason"
            android:configChanges="screenSize|orientation|keyboardHidden"
            android:label="@string/title_activity_Non_Work"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar" />
        <activity
            android:name=".dailyentry.AdditionalVisibility"
            android:configChanges="screenSize|orientation|keyboardHidden"
            android:label="@string/title_activity_Additional_visibility"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar" />
        <activity
            android:name=".upload.UploadActivity"
            android:configChanges="screenSize|orientation|keyboardHidden"
            android:label="@string/title_activity_upload"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar" />
        <activity
            android:name=".dailyentry.SettingsActivity"
            android:label="@string/title_activity_settings"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar" />
        <activity
            android:name=".dailyentry.CheckoutActivity"
            android:label="@string/title_activity_checkout"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar" />
        <activity
            android:name=".dailyentry.ServiceActivity"
            android:label="@string/title_activity_service"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar" />
        <activity
            android:name=".upload.PreviousDataUploadActivity"
            android:configChanges="screenSize|orientation|keyboardHidden"
            android:label="@string/title_activity_upload"
            android:screenOrientation="portrait" />
        <activity
            android:name=".dailyentry.T2pBrand_Avaibility"
            android:label="@string/title_activity_t2p_brand__avaibility"
            android:theme="@style/AppTheme.NoActionBar" />
        <activity
            android:name=".gsk_dailyentry.StockFacing_PlanogramTrackerActivity"
            android:configChanges="screenSize|orientation|keyboardHidden"
            android:label="@string/title_activity_stock_facing__planogram_tracker"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar" />
        <activity
            android:name=".dailyentry.CategoryPicture"
            android:configChanges="screenSize|orientation|keyboardHidden"
            android:label="@string/title_activity_category_picture"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar" />
        <activity
            android:name=".dailyentry.StoreCheckoutImageActivity"
            android:configChanges="screenSize|orientation|keyboardHidden"
            android:label="@string/title_activity_store_checkout_image"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar" />
        <activity
            android:name=".gsk_dailyentry.MSL_Availability_StockFacingActivity"
            android:configChanges="screenSize|orientation|keyboardHidden"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan" />
        <activity
            android:name=".dailyentry.FutureJCPActivity"
            android:label=""
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar" />
        <activity
            android:name=".dailyentry.CreateSelfActivity"
            android:configChanges="screenSize|orientation|keyboardHidden"
            android:label="@string/title_activity_create_self"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan" />
        <activity
            android:name=".dailyentry.NoCameraActivity"
            android:configChanges="screenSize|orientation|keyboardHidden"
            android:label="@string/title_activity_create_self"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan" />
        <activity
            android:name=".dailyentry.PlanogramPDFActivity"
            android:label="@string/category_performance_PLANOGRAM"
            android:theme="@style/AppTheme.NoActionBar" />
        <activity
            android:name=".dailyentry.StockDataActivity"
            android:configChanges="screenSize|orientation|keyboardHidden"
            android:label="@string/title_activity_stock_data"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan" />
        <activity
            android:name=".dailyentry.AuditActivity"
            android:label="@string/audit"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar" />

        <service
            android:name=".service.FCMNotificationService"
            android:enabled="true"
            android:exported="true">
            <intent-filter>
                <action android:name="com.google.firebase.MESSAGING_EVENT" />
            </intent-filter>
        </service>

        <activity
            android:name=".dailyentry.POGQuestionsActivity"
            android:configChanges="screenSize|orientation|keyboardHidden"
            android:label="@string/title_activity_pogquestions"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan" />
        <!--
             The API key for Google Maps-based APIs is defined as a string resource.
             (See the file "res/values/google_maps_api.xml").
             Note that the API key is linked to the encryption key used to sign the APK.
             You need a different API key for each encryption key, including the release key that is used to
             sign the APK for publishing.
             You can define the keys for the debug and release targets in src/debug/ and src/release/. 
        -->
        <meta-data
            android:name="com.google.android.geo.API_KEY"
            android:value="@string/google_maps_key" />

        <activity
            android:name=".storeinmap.StoreListMapActivity"
            android:configChanges="screenSize|orientation|keyboardHidden"
            android:label="@string/title_activity_store_list_map"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan" />
        <activity
            android:name=".storeinmap.StoreListRouteActivity"
            android:configChanges="screenSize|orientation|keyboardHidden"
            android:label="@string/title_activity_store_list_route"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan" />
        <activity
            android:name=".storeinmap.StoreRouteActivity"
            android:configChanges="screenSize|orientation|keyboardHidden"
            android:label="@string/title_activity_store_route"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan" />
        <activity
            android:name=".dailyentry.MessageActivity"
            android:configChanges="screenSize|orientation|keyboardHidden"
            android:label="@string/title_activity_message"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan" />
        <activity
            android:name=".dailyentry.ConversationActivity"
            android:configChanges="screenSize|orientation|keyboardHidden"
            android:label="@string/title_activity_conversation"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan" />
        <activity
            android:name=".dailyentry.CoachingVisitActivity"
            android:label="@string/title_activity_coaching_visit"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar" />
        <activity
            android:name=".dailyentry.DeliveryCallActivity"
            android:label="@string/delivery_call"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar" />
        <activity
            android:name=".dailyentry.DeliveryCallAddStoreActivity"
            android:label="@string/delivery_call"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar" />
        <activity
            android:name=".dailyentry.AdditionalPromoSKUwiseActivity"
            android:configChanges="screenSize|orientation|keyboardHidden"
            android:label="@string/title_activity_additional_promo_skuwise"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan" />
        <activity
            android:name=".dailyentry.CompetitionPromoActivity"
            android:configChanges="screenSize|orientation|keyboardHidden"
            android:label="@string/competition_promotion"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="adjustPan" />

        <provider
            android:name="androidx.core.content.FileProvider"
            android:authorities="${applicationId}.fileprovider"
            android:exported="false"
            android:grantUriPermissions="true">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/provider_paths" />
        </provider>
    </application>

</manifest>